%  m0527.m     (Matlab&Simulink Rel.14 SP3)
%
%  Bild 5.27 
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Unterprogramme:  s0527.mdl
%  Datendatei:      s0527_optim.mat 
%
%  (c)10.11.05  R.Froriep
%
% ........................................................
%
%  Hinweis:
%    
%     Simulink Response Optimization erforderlich.
%
%
% ########################################################
%
%  Variations-Empfehlungen:
%
%  Strecke:
%    Beispiel 5.13
%
%  PID-Reglerparameter (Startwerte fr die Optimierung) 
%
%  Kpr  Proportionalwert 
%  Iein Schalter fr I-Anteil: Iein=0 AUS, Iein=1 EIN
%  Tn   Nachstellzeit
%  Tv   Vorhaltzeit
% 
%
% ########################################################
clear

   Kpr=.5;           %  Kpr=.5
   Iein=1;           %  Iein=1
   Tn =10;           %  Tn=10
   Tv =0;            %  Tv=0

% ########################################################

menu='none';  % none oder fig
close all
szae=1;
T1a=2; T1b=3; T1c=4;
a1=[T1a 1]; a2=[T1b 1]; a=conv(a1,a2); a3=[T1c 1]; 
snen=conv(a,a3);

Tt=.1;  

open_system('s0527')